#pragma once

#include <map>

class Params : public std::map<std::string, std::string> {
public:
  Params() : std::map<std::string, std::string>() {};
  Params(const Params& p_params) : std::map<std::string, std::string>(p_params.begin(), p_params.end()) {};
  
  virtual ~Params() {};
  void log();
  static void convert(Params& p_param, const std::string p_parameters);
};

